Last Comment Bug 831485 - _virtualenv and mozilla/_virtualenv in each c-c objdir
: _virtualenv and mozilla/_virtualenv in each c-c objdir
Status: RESOLVED FIXED
:
Product: MailNews Core
Classification: Components
Component: Build Config (show other bugs)
: Trunk
: All All
: -- normal (vote)
: Thunderbird 22.0
Assigned To: neil@parkwaycc.co.uk
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-16 13:56 PST by neil@parkwaycc.co.uk
Modified: 2013-03-08 02:11 PST (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Proposed patch (1.07 KB, patch)
2013-01-16 13:58 PST, neil@parkwaycc.co.uk
bugspam.Callek: review-
Details | Diff | Splinter Review
Possible patch (2.22 KB, patch)
2013-01-30 12:52 PST, neil@parkwaycc.co.uk
bugspam.Callek: review+
mh+mozilla: feedback+
Details | Diff | Splinter Review

Description neil@parkwaycc.co.uk 2013-01-16 13:56:56 PST
c-c configure adds _virtualenv to the objdir and then m-c configure adds it to its objdir/mozilla subdir. We can avoid the duplication by making c-c configure build objdir/mozilla/_virtualenv directly.
Comment 1 neil@parkwaycc.co.uk 2013-01-16 13:58:04 PST
Created attachment 703021 [details] [diff] [review]
Proposed patch
Comment 2 Justin Wood (:Callek) (Away until Aug 29) 2013-01-29 21:07:00 PST
Comment on attachment 703021 [details] [diff] [review]
Proposed patch

Review of attachment 703021 [details] [diff] [review]:
-----------------------------------------------------------------

I'd actually prefer you modify http://mxr.mozilla.org/comm-central/source/mozilla/build/autoconf/python-virtualenv.m4#50 (get m-c build peer review) and then use that here, the same way its used in m-c configure. Also to mark the creation script as a config dep in client.mk.

We can then even output the NO_POPULATE var to save work. The trick of course is making sure comm can find the venv inside m-c easily :-)
Comment 3 neil@parkwaycc.co.uk 2013-01-30 01:38:21 PST
(In reply to Justin Wood from comment #2)
> I'd actually prefer you modify
> http://mxr.mozilla.org/comm-central/source/mozilla/build/autoconf/python-
> virtualenv.m4#50 (get m-c build peer review) and then use that here, the
> same way its used in m-c configure.
Ah, so you want me to include that script in c-c aclocal.m4?

> Also to mark the creation script as a config dep in client.mk.
We don't actually do that, we only mark aclocal.m4 as a config dep...

> We can then even output the NO_POPULATE var to save work. The trick of
> course is making sure comm can find the venv inside m-c easily :-)
I guess I'll just make c-c configure set MOZILLA_CENTRAL_PATH.
Comment 4 neil@parkwaycc.co.uk 2013-01-30 12:52:39 PST
Created attachment 708278 [details] [diff] [review]
Possible patch
Comment 5 Mike Hommey [:glandium] 2013-01-30 23:59:31 PST
Comment on attachment 708278 [details] [diff] [review]
Possible patch

Review of attachment 708278 [details] [diff] [review]:
-----------------------------------------------------------------

It looks like that should work.
Comment 6 neil@parkwaycc.co.uk 2013-02-23 16:50:01 PST
Pushed comm-central changeset fb586ffef6e8.
Comment 7 Frank Wein [:mcsmurf] 2013-02-24 05:46:26 PST
Does this checkin have to do with the current red on the SeaMonkey tree? It looks a bit related.

Note You need to log in before you can comment on or make changes to this bug.